Skip to main content
GET
/
bank-linking
/
connections
Search institution connections
curl --request GET \
  --url https://api-sb.meld.io/bank-linking/connections \
  --header 'Authorization: <api-key>'
import requests

url = "https://api-sb.meld.io/bank-linking/connections"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api-sb.meld.io/bank-linking/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "connections": [
    {
      "accountId": "<string>",
      "activeDuplicateConnectionId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "customerId": "<string>",
      "duplicateConnectionIds": [
        "<string>"
      ],
      "externalCustomerId": "<string>",
      "id": "<string>",
      "institutionId": "<string>",
      "institutionName": "<string>",
      "key": "<string>",
      "optionalProducts": [],
      "products": [],
      "regions": [
        "<string>"
      ],
      "serviceProviderDetails": {},
      "status": "<string>",
      "statusReason": "<string>",
      "successfullyAggregatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123,
  "remaining": 123
}

Authorizations

Authorization
string
header
default:BASIC <Meld API Key>
required

Query Parameters

customerId
string
default:""

Meld generated unique identifier for your customer. This should be used to track customer activity.

externalCustomerId
string
default:""

Your unique identifier for your customer. If maintaining your own customer management system this can also be used for tracking customer activity.

institutionId
string
default:""

Institution id. If present, only institution connections with this institution will be included.

statuses
string
default:""

Comma separated list of institution connection statuses. If present, only institution connections with these statuses will be included.

Find out more about connection statuses here.

serviceProviders
string
default:""

Comma separated list of service providers. If present, only institution connections with these service providers will be included.

Note: Reference Supported Service Providers for the list of available bank linking providers.

startDate
string
default:""

Start date to begin search from of format yyyy-mm-dd

endDate
string
default:""

End date stop search on of format yyyy-mm-dd

before
string
default:""

Unique key corresponding to an institution connection's position in the paginated list of results -- used to indicate that only institution connections residing before this key will be retrieved.

Each institution connection carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

after
string
default:""

Unique key corresponding to a institution connection's position in the paginated list of results -- used to indicate that only institution connections residing after this key will be retrieved.

Each institution connection carries a unique key. Reference Pagination

The before and after fields cannot be used in the same request.

limit
string
default:""

Limits number of returned institution connections.

Default value: 10

Minimum value: 1

Maximum value: 100

institutionName
string
default:""

Institution name. If present, only institution connections with this institution will be included.If institutionId is present then institutionId will take precedence.

Response

Connections are returned

connections
object[]

Connections

count
integer<int32>

Number of connections returned.

remaining
integer<int32>

Number of remaining connections before/after this page, depending on the direction this page was selected.